package com.dcit.authority.dto;

import java.util.Date;

import lombok.Data;

/**
* <p>Title: AuthUserDTO</p>
* <p>Description: </p>
* <p>Company: SJZ DC-IT co. LTD</p> 
* @author ZZZ
* @date 2018年9月9日 上午11:07:52
*/
@Data
public class AuthUserDTO {
	
	//用户id
	private String userId;
	//微信openid
    private String openId;
    //头像地址
    private String avatar;
    //登录账户
    private String account;
    //登录密码
    private String password;
    //盐值
    private String salt;
    //用户名称
    private String userName;
    //微信昵称
    private String wxNickName;
    //生日
    private Date birthday;
    //性别，1男，2女
    private String sex;
    //年龄
    private String age;
    //邮箱
    private String email;
    //手机
    private String mobliePhone;
    //电话
    private String phone;
    //角色id
    private String roleId;
    //部门id
    private String deptId;
    //账户状态
    private String status;
    //账户类型
    private String accountType;
    //最近的登录时间
    private Date lastLoginTime;
    //最后的登录IP
    private String lastLoginIp;
    //备注
    private String remarks;

}
