package com.dcit.authority.dto;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;

import lombok.Data;

@Data
public class SysUserBasicInfoDTO implements Serializable {

	// 用户id
	private String uid;
	// 微信openid
	private String openId;
	// 头像地址
	private String avatar;
	// 登录帐户
	private String account;
	// 帐户类型
	private String accountType;
	// 用户名称
	private String userName;
	// 微信昵称
	private String wxNickName;
	// 生日
	@JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
	private Date birthday;
	// 性别，1男，2女
	private String sex;
	// 年龄
	private String age;
	// 邮箱
	private String email;
	// 手机
	private String mobliePhone;
	// 角色id
	private String roleId;
	// 部门id
    private String deptId;
	// 电话
	private String phone;
	// 最近的登录时间
	@JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
	private Date lastLoginTime;
	// 最后的登录IP
	private String lastLoginIp;
	// 状态
	private String accountStatus;
	// 备注
	private String remarks;
	
	private List<UserRoleMenuInfoDTO> roleMenuList;

}
