package com.dcit.authority.dto;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

import lombok.Data;

@Data
public class SysUserDTO {
	//用户id
	private String uid;
	//微信openid
    private String openId;
    //头像地址
    private String avatar;
    //登录账户
    private String account;
    //登录密码
    private String accountPwd;
    //盐值
    private String salt;
    //用户名称
    private String userName;
    //微信昵称
    private String wxNickName;
    //生日
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    private Date birthday;
    //性别，1男，2女
    private String sex;
    //年龄
    private String age;
    //邮箱
    private String email;
    //手机
    private String mobliePhone;
    //电话
    private String phone;
    //部门id
    private String deptId;
    //部门名称
    private String deptName;
    //账户状态 0.正常 1.删除 2.锁定
    private String accountStatus;
    //账户类型
    private String accountType;
    //最近的登录时间
    private Date lastLoginTime;
    //最后的登录IP
    private String lastLoginIp;
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date updateTime;
    //备注
    private String remarks;

}
