package com.dcit.authority.dto.form;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.Size;

import lombok.Data;

/**
* <p>Title: ChangePasswordForm</p>
* <p>Description: </p>
* <p>Company: SJZ DC-IT co. LTD</p> 
* @author ZZZ
* @date 2018年9月23日 下午4:11:02
*/
@Data
public class ChangePasswordForm {
	
	@NotEmpty(message="旧密码必填")
	private String oldPassword;
	
	@NotEmpty(message="新密码必填")
	@Size(min=6,max=12,message="密码字符长度必须6~12位")
	private String newPassword;

}
