package com.dcit.authority.dto.form;

import javax.validation.constraints.NotEmpty;

import lombok.Data;

@Data
public class LoginForm {
	
	//帐号
	@NotEmpty(message="登录帐号不能为空")
	private String account;
	//密码
	@NotEmpty(message="登录密码不能为空")
	private String password;
	//验证码
	private String captcha;
	//帐号类型
	private String type;
	//时间戳
	private String timestamp;

}
