package com.dcit.authority.dto.form;

import javax.validation.constraints.NotEmpty;

import lombok.Data;

@Data
public class SysRoleForm {
	
	//id
	private String id;
	//角色代码
	@NotEmpty(message="角色代码必填")
    private String roleCode;
    //角色名称
	@NotEmpty(message="角色名称必填")
    private String roleName;
    //描述
    private String description;
    //角色状态 0:正常、1禁用
    private String roleStatus;
    //排序
    private Integer sort;

}
