package com.dcit.authority.dto.node;

import java.util.ArrayList;
import java.util.List;

import lombok.Data;

/**
 * 
 * @author zhangzhizhong
 * 2020年4月20日
 */
@Data
public class DeptTreeNode {
	
	//id
	private String id;
	//父类id
    private String parentId;
    //父类ids
    private String parentIds;
    //简称
    private String shortName;
    //全名
    private String fullName;
    //菜单级别
    private String level;
    //子类信息
    private List<DeptTreeNode> childList = new ArrayList<DeptTreeNode>();
    
}
