package com.dcit.common.vo;

import java.io.Serializable;

import lombok.Data;

@Data
public class ResultVO<T> implements Serializable{
	/**
	 * 序列
	 */
	private static final long serialVersionUID = -6070538836716613448L;
	/**
	 * 错误码
	 */
	private Integer code;
	/**
	 * 提示信息
	 */
	private String msg;
	
	/**
	 * 具体内容
	 */
	private T data;

}
