package com.dcit.danger.config;

import java.util.List;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import lombok.Data;

@Data
@ConfigurationProperties(prefix="projectpath")
@Component
public class ProjectPath {
	
	/**
	 * 文件访问路径
	 */
	private String fileUrlPath;
	
	/**
	 * 文件存储跟路径
	 */
	private String fileRootPath;
	
	
	/**
	 * 前端host
	 */
	private String frontHost;
	
	/**
	 * 跨域域名
	 */
	private List<String> sysAllowOriginList;

}
