package com.dcit.danger.dao;

import com.dcit.danger.model.AccidentStatistics;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface AccidentStatisticsMapper {
    int deleteByPrimaryKey(String id);

    int insert(AccidentStatistics record);

    int insertSelective(AccidentStatistics record);

    AccidentStatistics selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(AccidentStatistics record);

    int updateByPrimaryKeyWithBLOBs(AccidentStatistics record);

    int updateByPrimaryKey(AccidentStatistics record);

    List<Map<String,Object>> selectByYear(@Param("enterpriseId")String enterpriseId,
                                          @Param("fromdate")String fromdate);
    List<AccidentStatistics> selectListByEnterpriseId(@Param("enterpriseId")String enterpriseId,
                                                      @Param("fromdate")String fromdate);
}