package com.dcit.danger.dto;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

import lombok.Data;

@Data
public class PlanInfoDTO {
	
	/**
     * id
     */
    private String id;

    /**
     * 所属企业id
     */
    private String enterpriseId;
    /**
     * 所属企业名称
     */
    private String enterpriseName;

    /**
     * 预案等级
     */
    private String planLevel;

    /**
     * 预案类型
     */
    private String planType;

    /**
     * 预案标题
     */
    private String planTitle;

    /**
     * 预案内容
     */
    private String planContents;

    /**
     * 预案源文件
     */
    private String sourceFile;
    
    /**
     * 文件原始名称
     */
    private String fileOriginalName;

    /**
     * 是否上报，0未上报，1已上报
     */
    private String isReported;

    /**
     * 上报时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date reportedTime;

    /**
     * 审核状态，0审核中，1审核通过，2审核未通过
     */
    private String checkStatus;

    /**
     * 审核时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date checkTime;

    /**
     * 创建时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;

    /**
     * 备注
     */
    private String remarks;

}
