package com.dcit.danger.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class THiddenTroubleDTO {
	
	/**
     * id
     */
    private String id;

    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 隐患名称
     */
    private String troubleName;

    /**
     * 隐患类型
     */
    private String troubleType;

    /**
     * 隐患级别
     */
    private String troubleTevel;

    /**
     * 地址
     */
    private String address;

    /**
     * 经度
     */
    private BigDecimal longitude;

    /**
     * 纬度
     */
    private BigDecimal latitude;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 更新时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date updateTime;

    /**
     * 创建时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;

}
