package com.dcit.danger.dto.form;

import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.math.BigDecimal;

@Data
public class THiddenTroubleForm {
	
	/**
     * id
     */
    private String id;

    /**
     * 企业id
     */
    @NotEmpty(message="企业id必填")
    private String enterpriseId;

    /**
     * 隐患名称
     */
    @NotEmpty(message="隐患名称")
    private String troubleName;

    /**
     * 隐患类型
     */
    @NotEmpty(message="隐患类型")
    private String troubleType;

    /**
     * 隐患级别
     */
    @NotEmpty(message="隐患级别")
    private String troubleTevel;

    /**
     * 地址
     */
    private String address;

}
