package com.dcit.danger.model;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 
 *
 * @author zzz
 * @date 2020-07-16T16:25:25.806
 */
@Data
@EqualsAndHashCode
public class DeviceDataRecord implements Serializable {
    /**
     * 
     */
    private String id;

    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 设备id
     */
    private String deviceId;

    /**
     * 设备状态，0正常，1离线
     */
    private String deviceStatus;

    /**
     * 上报数值
     */
    private String reportValue;

    /**
     * 是否预警，0否，1是
     */
    private String isAlarm;

    /**
     * 是否取消
     */
    private String cancelAlarm;

    /**
     * 取消时间
     */
    private Date cancelTime;

    /**
     * 
     */
    private Date createTime;

    /**
     * 序列化 ID
     */
    private static final long serialVersionUID = 1L;
}