package com.dcit.danger.model;

import com.dcit.danger.dto.form.MaterialForm;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
@Data
public class MaterialInfo extends MaterialForm{

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    private Integer isDelete;

    public MaterialInfo(MaterialForm materialForm){
        this.setId( materialForm.getId());
        this.setMaterialName(materialForm.getMaterialName());
        this.setMaterialType(materialForm.getMaterialType());
        this.setAddress(materialForm.getAddress());
        this.setContacts(materialForm.getContacts());
        this.setLatitude(materialForm.getLatitude());
        this.setLongitude(materialForm.getLongitude());
        this.setPhone(materialForm.getPhone());
        this.setNum(materialForm.getNum());
    }

}