package com.dcit.danger.model;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 
 *
 * @author zzz
 * @date 2020-06-28T16:21:21.179
 */
@Data
@EqualsAndHashCode
public class SysCode implements Serializable {
    /**
     * id
     */
    private String id;

    /**
     * 父类id
     */
    private String parentId;

    /**
     * 名称
     */
    private String name;

    /**
     * 代码
     */
    private String code;

    /**
     * 字典码：1：目录 2：字典码
     */
    private String type;

    /**
     * 排序
     */
    private String sort;

    /**
     * 描述
     */
    private String description;

    /**
     * 是否展开 true是 false否
     */
    private String open;

    /**
     * 
     */
    private String createUserId;

    /**
     * 
     */
    private Date createTime;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 序列化 ID
     */
    private static final long serialVersionUID = 1L;
}