package com.dcit.danger.service.impl;

import com.dcit.danger.dao.AccidentStatisticsMapper;
import com.dcit.danger.model.AccidentStatistics;
import com.dcit.danger.service.AccidentStatisticsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.*;

@Service
public class AccidentStatisticsServiceImpl implements AccidentStatisticsService{
    @Autowired
    private AccidentStatisticsMapper accidentStatisticsMapper;

    @Override
    public Map<String,Object> selectByYear(String enterpriseId, String fromdate){
        Map<String,Object> map = new HashMap<>();
        String[] month = {"1","2","3","4","5","6","7","8","9","10","11","12"};
        map.put("month",month);
        Integer[] num = {0,0,0,0,0,0,0,0,0,0,0,0};
        List<Map<String,Object>> list = accidentStatisticsMapper.selectByYear(enterpriseId,fromdate);
        long totalNum = 0;
        for(Map<String,Object> m:list){
            int a = (Integer) m.get("month");
            totalNum += (long)m.get("num");
            num[a-1] = Integer.parseInt(m.get("num").toString());
        }
        map.put("num",num);
        map.put("totalNum",totalNum);
        return map;
    }
    @Override
    public List<AccidentStatistics> selectListByEnterpriseId(String enterpriseId, String fromdate){
        List<AccidentStatistics> list = accidentStatisticsMapper.selectListByEnterpriseId(enterpriseId,fromdate);
        return list;
    }
}
