package com.dcit.danger.service.impl;

import com.dcit.danger.dao.MaterialInfoMapper;
import com.dcit.danger.dto.form.MaterialForm;
import com.dcit.danger.dto.query.MaterialQuery;
import com.dcit.danger.model.MaterialInfo;
import com.dcit.danger.service.Materialservice;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class MaterialServiceImpl implements Materialservice{

    @Autowired
    private MaterialInfoMapper materialInfoMapper;

    @Override
    public Integer addMaterInfo(MaterialInfo materialInfo){
        return materialInfoMapper.insert(materialInfo);
    }
    @Override
    public Integer updateMaterInfo(MaterialInfo materialInfo){
        return materialInfoMapper.updateByPrimaryKeySelective(materialInfo);
    }
    @Override
    public List<Map<String,Object>> materialInfoList(MaterialQuery materialQuery){
        return materialInfoMapper.materialInfoList(materialQuery);
    }

    @Override
    public Integer deleteMaterial(String id){
        MaterialInfo materialInfo = new MaterialInfo(new MaterialForm());
        materialInfo.setId(id);
        materialInfo.setIsDelete(1);
        return materialInfoMapper.updateByPrimaryKeySelective(materialInfo);
    }

}

