package com.dcit.authority.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;


import lombok.Data;

/**
* <p>Title: JWTConfig</p>
* <p>Description: </p>
* <p>Company: SJZ DC-IT co. LTD</p> 
* @author ZZZ
* @date 2018年9月14日 下午8:33:16
*/
@Data
@ConfigurationProperties(prefix="jwtset")
@Component
public class JwtConfig {
	
	/**
	 * 过期时间
	 */
	public int period;
	
	/**
	 * 发行人
	 */
	public String issuer;

}
