package com.dcit.authority.dto;

import java.util.Date;
import java.util.List;

import lombok.Data;

@Data
public class SysResourcesDTO {

	//id
    private String id;
    //父类id
    private String parentId;
    //菜单名称
  	private String menuName;
    //资源名称
    private String resourceName;
    //资源代码
    private String code;
    //描述
    private String description;
    //资源类型 1:MENU 2:REST-API 
    private String resourceType;
    //资源图片
    private String icon;
    //url
    private String url;
    //重定向路径
  	private String redirect;
    //访问方式  GET POST PUT DELETE PATCH
    private String method;
    //排序
    private Integer sort;
    //菜单层级
    private Integer level;
    //状态 0正常，1禁用
    private String status;
    //子类
    private List<SysResourcesDTO> childList;
}
