package com.dcit.authority.dto;

import java.io.Serializable;
import java.util.List;

import lombok.Data;

@Data
public class UserRoleMenuInfoDTO implements Serializable {
	
	//角色资源ID
	private String rid;
	//菜单名称 menuName
	private String title;
	//资源id
	private String resourceId;
	//资源父类id
	private String parentId;
	//资源名称resourceName 对应路由名称
	private String name;
	//图标
	private String icon;
	//资源代码
	private String code;
	//资源url  路由路径
	private String path;
	//重定向路径
	private String redirect;
	//描述
	private String description;
	//菜单级别
	private String level;
	//角色id
	private String roleId;
	//是否选中 true、false
	private String selected;
	//子类
	private List<UserRoleMenuInfoDTO> children;
	
	

}
