package com.dcit.authority.dto.form;

import javax.validation.constraints.NotEmpty;

import lombok.Data;

@Data
public class SysResourcesForm {
	//id
	private String id;
	//父类id
    private String parentId;
    //菜单名称 (菜单中 对应菜单名称 title)
  	private String menuName;
    //资源名称 (菜单中 路由名称对应 name)
    @NotEmpty(message="资源名称必填")
    private String resourceName;
    //资源编码
    private String code;
    //描述
    private String description;
    //资源类型
    private String resourceType;
    //图标
    private String icon;
    //url (菜单中 路由路径path)
    private String url;
    //重定向路径
  	private String redirect;
    //访问方式
    private String method;
    //排序
    private Integer sort;
    //菜单级别
    private Integer level;
    //状态，0正常，1禁用
    private String status;

}
