package com.dcit.authority.dto.form;

import java.util.Date;

import javax.validation.constraints.NotEmpty;

import lombok.Data;

@Data
public class SysUserInfoForm {
	
	//用户id
	private String uid;
	//微信openid
    private String openId;
    //头像地址
    private String avatar;
    //登录账户
    @NotEmpty(message="登录账户必填")
    private String account;
    //登录密码
    private String accountPwd;
    //用户名称
    private String userName;
    //微信昵称
    private String wxNickName;
    //生日
    private Date birthday;
    //性别，1男，2女
    private String sex;
    //年龄
    private String age;
    //邮箱
    private String email;
    //手机
    private String mobliePhone;
    //电话
    private String phone;
    //角色id
    private String roleId;
    //部门id
    private String deptId;
    //账户状态 0.正常 1.删除 2.锁定
    private String accountStatus;
    //账户类型
    private String accountType;
    //备注
    private String remarks;

}
