package com.dcit.logging.dto;

import java.util.Date;

import lombok.Data;

/**
* <p>Title: LoggingDTO</p>
* <p>Description: controller方法参数</p>
* <p>Company: SJZ DC-IT co. LTD</p> 
* @author ZZZ
* @date 2018年9月6日 下午13:22:06
*/
@Data
public class LoggingDTO {

	private String id;
	//用户id
    private String userId;
    //日志类型
    private String logType;
    //用户的ip
    private String userIp;
    //请求接口
    private String requestApi;
    //请求方式，GET,POST,PUT,DELTE
    private String formMethod;
    //请求参数
    private String requestArgs;
    //目标类方法
    private String classMethod;
    //是否成功,0成功，1失败
    private String succeed;
    //返回信息
    private String returnMessage;
   //失败信息
    private String failedMessage;

    private Date updateTime;
	
}
