package com.dcit.danger.dto;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

import lombok.Data;

@Data
public class AlarmInfoDTO {
	
	//id
	private String id;
	//企业名称
	private String unitName;
	//预警信息
	private String alarmInfo;
	//预警状态，0预警中，1已消除
	private String alarmStatus;
	//预警时间
	@JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
	private Date alarmTime;
	//消除时间
	@JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
	private Date handleTime;
	//消除类型，0未处理，1自动消警，2手动消警
	private String handleType;
	//处理结果
	private String hand_result;
	//设备类型
	private String category;
	//联系人
	private String contacts;
	//联系电话
	private String phone;
	//设备名称
	private String deviceName;
	//预警等级
	private String dangerGrade;

}
