package com.dcit.danger.dto;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

import lombok.Data;

@Data
public class SafetyDeviceInfoDTO {

	/**
     * id
     */
    private String id;

    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 物品id
     */
    private String goodsId;

    /**
     * 数据类型，1视频监控，2传感器
     */
    private String dataType;

    /**
     * 编号
     */
    private String deviceNumber;

    /**
     * 设备简号
     */
    private String shortNum;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 介绍
     */
    private String deviceInfo;

    /**
     * 设备ip
     */
    private String deviceIp;

    /**
     * 设备登录密码
     */
    private String deviceLoginName;

    /**
     * 设备登录密码
     */
    private String deviceLoginPwd;

    /**
     * 设备登录端口
     */
    private String deviceLoginPort;

    /**
     * 类型
     */
    private String category;

    /**
     * 是否是重大危险源,0否，1是
     */
    private String isBigDanger;

    /**
     * 联系人
     */
    private String contacts;

    /**
     * 联系电话
     */
    private String phone;

    /**
     * 状态，0正常，1离线
     */
    private String status;

    /**
     * 危险等级
     */
    private String dangerGrade;

    /**
     * 所在厂区位置
     */
    private String factoryLocation;

    /**
     * 经度
     */
    private BigDecimal longitude;

    /**
     * 纬度
     */
    private BigDecimal latitude;

    /**
     * 更新时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date updateTime;

    /**
     * 创建时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;

    private String enterpriseName;
}
