package com.dcit.danger.dto.form;

import javax.validation.constraints.NotEmpty;

import lombok.Data;

@Data
public class EnterpriseRegForm {
	
	//管理员用户id
	private String userId;
	
    //登录帐号
	@NotEmpty(message="帐号必填")
    private String account;
    //登录密码
	@NotEmpty(message="密码必填")
    private String accountPwd;
    //用户名
	@NotEmpty(message="用户名必填")
    private String userName;
    //身份证
	@NotEmpty(message="身份证必填")
    private String idCard;
    //邮箱
    private String email;
    //手机
    private String mobliePhone;
    //帐号类型
    private String accountType;
    //企业id
    private String enterPriseId;
    
    /**
     * 单位名称
     */
    @NotEmpty(message="单位名称必填")
    private String unitName;

    /**
     * 组织机构代码
     */
    @NotEmpty(message="组织机构代码必填")
    private String orgCode;
    /**
     * 营业执照图片路径
     */
    private String orgFilePath;
    
    /**
     * 图片文件名称
     */
    private String orgFileName;
    
    /**
     * 法定代表人
     */
    @NotEmpty(message="法定代表人必填")
    private String legalPerson;

    /**
     * 法定代表人手机
     */
    private String legalPersonPhone;
    /**
     * 法人邮箱
     */
    private String legalPersonEmail;
    /**
     * 生产经营地址
     */
    private String runAddress;
    /**
     * 注册地址
     */
    private String regAddress;
    /**
     * 省份代码
     */
    private String provinceId;

    /**
     * 省份名称
     */
    private String provinceName;

    /**
     * 城市代码
     */
    private String cityId;

    /**
     * 城市名称
     */
    private String cityName;

    /**
     * 区县代码
     */
    private String countyId;

    /**
     * 区县名称
     */
    private String countyName;

    /**
     * 所属地区
     */
    private String areaName;

    /**
     * 所属街道
     */
    private String streetName;
    
    /**
     * 授权书
     */
    private String authorizeFile;
    
    /**
     * 授权书文件原名
     */
    private String authorizeFileOriginalName;
    
    

}
