package com.dcit.danger.dto.form;

import javax.validation.constraints.NotEmpty;

import lombok.Data;

@Data
public class SysCodeForm {
	
	/**
     * id
     */
    private String id;

    /**
     * 父类id
     */
    private String parentId;

    /**
     * 名称
     */
    @NotEmpty(message="名称必填")
    private String name;

    /**
     * 代码
     */
    @NotEmpty(message="代码必填")
    private String code;

    /**
     * 字典码：1：目录节点 2：数据字典值
     */
    private String type;

    /**
     * 排序
     */
    private String sort;

    /**
     * 描述
     */
    private String description;

    /**
     * 是否展开 true是 false否
     */
    private String open;

    /**
     * 备注
     */
    private String remarks;

}
