package com.dcit.danger.dto.node;


import java.util.ArrayList;
import java.util.List;

import lombok.Data;

@Data
public class SysCodeTreeNode {
	
	/**
     * id
     */
    private String id;

    /**
     * 父类id
     */
    private String parentId;

    /**
     * 名称
     */
    private String name;

    /**
     * 代码
     */
    private String code;

    /**
     * 字典码：1：目录 2：字典码
     */
    private String type;

    /**
     * 排序
     */
    private String sort;

    /**
     * 描述
     */
    private String description;

    /**
     * 是否展开 true是 false否
     */
    private String open;

    /**
     * 
     */
    private String createUserId;

    /**
     * 备注
     */
    private String remarks;
    
    
    //子类信息
    private List<SysCodeTreeNode> childList = new ArrayList<SysCodeTreeNode>();

}
