package com.dcit.danger.dto.query;

import com.dcit.common.page.PageBasic;

import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper=true)
public class EnterpriseInfoQuery extends PageBasic {

	// 登录帐号
	private String account;

	// 用户名
	private String userName;
	
	private String enterpriseId;

	/**
	 * 组织机构代码
	 */
	private String orgCode;

	/**
	 * 单位名称
	 */
	private String unitName;
	
	/**
	 * 省份代码
	 */
	private String provinceId;

	/**
	 * 城市代码
	 */
	private String cityId;

	/**
	 * 区县代码
	 */
	private String countyId;
	
	/**
	 * 帐号审核状态
	 */
	private String accountStatus;

	/**
	 * 是否查未删除账号
	 */
	private String accountNotDel;

}
