package com.dcit.danger.dto.query;

import com.dcit.common.page.PageBasic;

import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper=true)
public class PlanInfoQuery extends PageBasic{

	/**
     * 企业id
     */
	private String enterpriseId;
    /**
     * 预案等级
     */
    private String planLevel;

    /**
     * 预案类型
     */
    private String planType;

    /**
     * 预案标题
     */
    private String planTitle;
    
    /**
     * 是否上报，0未上报，1已上报
     */
    private String isReported;


}
